Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class StaticMetaMethodSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.MetaMethodSite
                  org.codehaus.groovy.runtime.callsite.StaticMetaMethodSite

    public class StaticMetaMethodSite
    extends MetaMethodSite

POJO call site meta class - cached method - cached

Authors:
  Alex Tkachman

Nested Class Summary
`static class` | `StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrap` Call site where we know there is no need to unwrap arguments
`static class` | `StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce`

Field Summary

Fields inherited from class MetaMethodSite
params

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name

Constructor Summary
`StaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params)`

Method Summary
`java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object[] args)`
`java.lang.Object` | `callStatic(java.lang.Class receiver, java.lang.Object[] args)`
`protected boolean` | `checkCall(java.lang.Object receiver, java.lang.Object[] args)`
`protected boolean` | `checkCall(java.lang.Object receiver)`
`protected boolean` | `checkCall(java.lang.Object receiver, java.lang.Object arg1)`
`protected boolean` | `checkCall(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2)`
`protected boolean` | `checkCall(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`protected boolean` | `checkCall(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
`static CallSite` | `createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params, java.lang.Object[] args)`
`java.lang.Object` | `invoke(java.lang.Object receiver, java.lang.Object[] args)`

Methods inherited from class AbstractCallSite
acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StaticMetaMethodSite

    public StaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params)

Method Detail

### call

    public java.lang.Object call(java.lang.Object receiver, java.lang.Object[] args)

### callStatic

    public java.lang.Object callStatic(java.lang.Class receiver, java.lang.Object[] args)

### checkCall

    protected final boolean checkCall(java.lang.Object receiver, java.lang.Object[] args)

### checkCall

    protected final boolean checkCall(java.lang.Object receiver)

### checkCall

    protected final boolean checkCall(java.lang.Object receiver, java.lang.Object arg1)

### checkCall

    protected final boolean checkCall(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2)

### checkCall

    protected final boolean checkCall(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)

### checkCall

    protected final boolean checkCall(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)

### createStaticMetaMethodSite

    public static CallSite createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params, java.lang.Object[] args)

### invoke

    public java.lang.Object invoke(java.lang.Object receiver, java.lang.Object[] args)

Groovy Documentation